//S1_ListerNomsStyles_202f.js
// 02.12.08 / Hans Haesler, Chtelard 52, CH-1018 Lausanne
//Sert  mettre les noms des styles de paragraphes et/ou de caractres 
//dans deux blocs texte. Ces listes peuvent tre dites (supprimer des lignes 
//entires). Ensuite, lancer le script "S2_AttributsStyles", slectionner l'astrisque 
//dans le menu du dialogue. Puis "OK", et ce ne sont seulement les attributs des 
//styles des listes qui sont extraits et insrs dans un document.

if (app.documents.length == 0) {
	alert ("Il n'y a pas de document ouvert.", "Attention");
	exit();
}

// mettre le point zro  zro/zro
app.documents[0].zeroPoint = [0,0];

// mettre le dfaut du style de caractres  "Aucun"
var noCharStyle = app.documents[0].characterStyles.item(0);
app.documents[0].textDefaults.appliedCharacterStyle = noCharStyle;
// mettre le dfaut du style de paragraphe  "Paragraphe Standard"
var dfParaStyle = app.documents[0].paragraphStyles.item(1);
app.documents[0].textDefaults.appliedParagraphStyle = dfParaStyle;

// supprimer les blocs s'ils sont prsents (sinon un message d'erreur 
// sera gnr lors de l'xecution du script suivant)
try {
	app.documents[0].textFrames.item("ParaStyles").remove();
}
catch (e) {
}

try {
	app.documents[0].textFrames.item("CharStyles").remove();
}
catch (e) {
}

//--- dresser la liste des styles de paragraphes ---//
var allParaStyles = app.documents[0].paragraphStyles.everyItem().name;

// supprimer le premier lment
allParaStyles.shift();

// convertir la liste en chane de texte
var paraString = allParaStyles.join("\r");

// crer un bloc texte 
var paraFrame = app.documents[0].pages[0].textFrames.add();
paraFrame.properties = {geometricBounds:[12, 15, 285, 105.5], fillColor:"Paper", label:"ParaStyles"};

// copier la chane prpare dans ce bloc
paraFrame.parentStory.contents = paraString;

//--- dresser la liste des style de caractres ---//
var allCharStyles = app.documents[0].characterStyles.everyItem().name;

// supprimer le premier lment
allCharStyles.shift();

// convertir la liste en chane de texte
var charString = allCharStyles.join("\r");

// crer un bloc texte 
var charFrame = app.documents[0].pages[0].textFrames.add();
charFrame.properties = {geometricBounds:[12, 109.5, 285, 200], fillColor:"Paper", label:"CharStyles"};

// copier la chane prpare dans ce bloc
charFrame.parentStory.contents = charString;